<html>
    <head>
        <script>
            function prikaziNastavnika(str) {
                if (str.lenght == 0) {
                    document.getElementById("txtIspis").innerHTML = "";
                    return;
                }
                if (window.XMLHttpRequest) {
                    objekat = new XMLHttpRequest();
                } else {
                    objekat = new ActiveXObject("Microsoft.XMLHTTP");
                }
                objekat.onreadystatechange = function() {
                    if (objekat.readyState == 4 && objekat.status == 200) {
                        document.getElementById("txtIspis").innerHTML =
                                objekat.responseText;
                    }
                }
                objekat.open("GET", "korisnik.php?id=" + str, true);
                objekat.send();
            }
        </script>
    </head>

    <body>
        <?php
        include("konekcija.php");
        echo "Odaberite nastavnika iz liste: <br/>";
        echo "<form>";
        echo "<select name='korisnici' onchange='prikaziNastavnika(this.value)'>";
        echo "<option value='0'>Odaberite nastavnika</option>";
        $upit = "SELECT * FROM nastavnici";
        $rezultat = mysqli_query($konekcija, $upit);
        while ($izlaz = mysqli_fetch_array($rezultat)) {
            echo "<option value=" . $izlaz['id'] . ">" . $izlaz['FirstName']
            . " " . $izlaz['LastName'] . "</option>";
        }
        echo "</select> </form>";
        ?>
        <br/>
        <div id="txtIspis"> <b> Ovde se prikazuju informacije 
            </b> </div>

    </body>
</html>